Debian Bug report logs - #192143
gdm doesn't respect locale at first launch.

version graph

Package: gdm; Maintainer for gdm is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Sven Luther <luther@debian.org>

Date: Tue, 6 May 2003 11:33:07 UTC

Severity: normal

Merged with 133578, 147091, 200064

Found in versions 2.2.5.4-2, 2.2.5.5-2, 2.4.1.7-1, 2.4.1.3-2

Fixed in version gdm/2.4.4.7-2

Done: Ryan Murray <rmurray@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#192143; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <luther@debian.org>:
New Bug report received and forwarded. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Luther <luther@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm doesn't respect locale at first launch.
Date: Tue, 06 May 2003 13:30:08 +0200
Package: gdm
Version: 2.4.1.3-2
Severity: normal

Gdm doesn't respect the choosen locale at first startup, if you restart
it or launch it from a console, then the locale is respected.

A workaround would be for /etc/init.d/gdm to source /etc/preferences, so
the LANG setting can be set there. This works for me, but it is only a
workaround.

Friendly,

Sven Luther

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux iliana 2.4.21-pre5 #1 SMP dim avr 27 11:46:08 CEST 2003 i686
Locale: LANG=fr_FR.ISO-8859-1, LC_CTYPE=fr_FR.ISO-8859-1

Versions of packages gdm depends on:
ii  adduser                     3.50         Add and remove users and groups
ii  bonobo-activation           1:2.2.1.1-1  Bonobo Activation Framework
ii  debconf                     1.2.35       Debian configuration management sy
ii  dpkg                        1.10.10      Package maintenance system for Deb
ii  libart-2.0-2                2.3.11-3     Library of functions for 2D graphi
ii  libatk1.0-0                 1.2.3-1      The ATK accessibility toolkit
ii  libaudiofile0               0.2.3-4      The Audiofile Library
ii  libbonobo-activation4       1:2.2.1.1-1  Bonobo Activation Framework -- run
ii  libbonobo2-0                2.2.1-1      Bonobo CORBA interfaces library
ii  libbonoboui2-0              2.2.0.1-2    The Bonobo UI library
ii  libc6                       2.3.1-17     GNU C Library: Shared libraries an
ii  libesd0                     0.2.29-1     Enlightened Sound Daemon - Shared 
ii  libgconf2-4                 2.2.0-1      GNOME configuration database syste
ii  libgcrypt1                  1.1.12-1     LGPL Crypto library - runtime libr
ii  libglade2-0                 2.0.1-3      Library to load .glade files at ru
ii  libglib2.0-0                2.2.1-3      The GLib library of C routines
ii  libgnome2-0                 2.2.0.1-1    The GNOME 2 library - runtime file
ii  libgnomecanvas2-0           2.2.0.2-1    A powerful object-oriented display
ii  libgnomeui-0                2.2.0.1-2    The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0              2.2.3-2      The GNOME virtual file-system libr
ii  libgnutls5                  0.8.6-4      GNU TLS library - runtime library
ii  libgtk2.0-0                 2.2.1-4      The GTK+ graphical user interface 
ii  libjpeg62                   6b-7         The Independent JPEG Group's JPEG 
ii  liblinc1                    1:1.1.0-1    library to simplify creating netwo
ii  liborbit2                   1:2.6.1-1    Libraries for ORBit2 - a CORBA ORB
ii  libpam-modules              0.76-9       Pluggable Authentication Modules f
ii  libpam0g                    0.76-9       Pluggable Authentication Modules l
ii  libpango1.0-0               1.2.1-3      Layout and rendering of internatio
ii  libpopt0                    1.6.4-2      lib for parsing cmdline parameters
ii  librsvg2-2                  2.2.5-1      SAX-based renderer library for SVG
ii  libtasn1-0                  0.1.2-1      Manage ASN.1 structures (runtime)
ii  libwrap0                    7.6-ipv6.1-3 Wietse Venema's TCP wrappers libra
ii  libxml2                     2.5.6-2      GNOME XML library
ii  xlibs                       4.3.0-0ds2   X Window System client libraries
ii  zlib1g                      1:1.1.4-11   compression library - runtime

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
  shared/default-x-display-manager: gdm
  gdm/greeter: standard




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org:
Bug#192143; Package gdm. Full text and rfc822 format available.

Acknowledgement sent to Jean-Christophe Dubacq <jcdubacq1@free.fr>:
Extra info received and forwarded to list. Copy sent to Ryan Murray <rmurray@debian.org>, gdm@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 192143@bugs.debian.org (full text, mbox):

From: Jean-Christophe Dubacq <jcdubacq1@free.fr>
To: Debian Bug Tracking System <192143@bugs.debian.org>
Subject: gdm: [sugg. patch] gdm doesn't respect locale at first launch
Date: Mon, 12 May 2003 12:42:18 +0200
Package: gdm
Version: 2.4.1.3-2
Followup-For: Bug #192143

Here is a patch to /etc/init.d/gdm that makes gdm use the default
environment language (and any other defaults variables that could be put
in /etc/environment, such as GDK_USE_XFT was at some point in unstable):


*** gdm.orig    2003-05-12 12:51:47.000000000 +0200
--- gdm 2003-05-12 12:53:27.000000000 +0200
***************
*** 10,15 ****
--- 10,21 ----
  # get along with other display managers (Branden Robinson, Ryan
  # Murray) 05sep2001
   
  set -e
+ # Source /etc/environment
+ # When gdm is launched by init, no pam_* or default settings is
applied
+ # prior to its execution. To use default locale, let's source it.
+ set -a
+ [ -r /etc/environment ] && . /etc/environment
+ set +a
   
  # To start gdm even if it is not the default display manager, change
  # HEED_DEFAULT_DISPLAY_MANAGER to "false."


If this is unclear, I would be delighted to explain.
This bug is related to #133578. However, debconf is not the solution
here, since locale is already set by package locale(s?) and generates
a valid /etc/environment.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux penpen 2.4.20-jcd #1 sam avr 19 11:46:39 CEST 2003 i686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages gdm depends on:
ii  adduser                     3.50         Add and remove users and groups
ii  bonobo-activation           1:2.2.1.1-2  Bonobo Activation Framework
ii  debconf                     1.2.35       Debian configuration management sy
ii  dpkg                        1.10.10      Package maintenance system for Deb
ii  libart-2.0-2                2.3.12-1     Library of functions for 2D graphi
ii  libatk1.0-0                 1.2.3-1      The ATK accessibility toolkit
ii  libaudiofile0               0.2.3-4      The Audiofile Library
ii  libbonobo-activation4       1:2.2.1.1-2  Bonobo Activation Framework -- run
ii  libbonobo2-0                2.2.1-1      Bonobo CORBA interfaces library
ii  libbonoboui2-0              2.2.0.1-2    The Bonobo UI library
ii  libc6                       2.3.1-17     GNU C Library: Shared libraries an
ii  libesd0                     0.2.29-1     Enlightened Sound Daemon - Shared 
ii  libgconf2-4                 2.2.0-1      GNOME configuration database syste
ii  libgcrypt1                  1.1.12-2     LGPL Crypto library - runtime libr
ii  libglade2-0                 2.0.1-3      Library to load .glade files at ru
ii  libglib2.0-0                2.2.1-3      The GLib library of C routines
ii  libgnome2-0                 2.2.0.1-2    The GNOME 2 library - runtime file
ii  libgnomecanvas2-0           2.2.0.2-1    A powerful object-oriented display
ii  libgnomeui-0                2.2.0.1-2    The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0              2.2.3-2      The GNOME virtual file-system libr
ii  libgnutls5                  0.8.6-4      GNU TLS library - runtime library
ii  libgtk2.0-0                 2.2.1-6      The GTK+ graphical user interface 
ii  libjpeg62                   6b-7         The Independent JPEG Group's JPEG 
ii  liblinc1                    1:1.1.0-1    library to simplify creating netwo
ii  liborbit2                   1:2.6.1-1    Libraries for ORBit2 - a CORBA ORB
ii  libpam-modules              0.76-10      Pluggable Authentication Modules f
ii  libpam0g                    0.76-10      Pluggable Authentication Modules l
ii  libpango1.0-0               1.2.1-3      Layout and rendering of internatio
ii  libpopt0                    1.6.4-2      lib for parsing cmdline parameters
ii  librsvg2-2                  2.2.5-1      SAX-based renderer library for SVG
ii  libtasn1-0                  0.1.2-1      Manage ASN.1 structures (runtime)
ii  libwrap0                    7.6-ipv6.1-3 Wietse Venema's TCP wrappers libra
ii  libxml2                     2.5.6-2      GNOME XML library
ii  xlibs                       4.2.1-6      X Window System client libraries
ii  zlib1g                      1:1.1.4-11   compression library - runtime

-- debconf information:
  gdm/daemon_name: /usr/bin/gdm
  shared/default-x-display-manager: gdm




Merged 133578 147091 192143. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 133578 147091 192143 200064. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Ryan Murray <rmurray@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ryan Murray <rmurray@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Luther <luther@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 133578-close@bugs.debian.org (full text, mbox):

From: Ryan Murray <rmurray@debian.org>
To: 133578-close@bugs.debian.org
Subject: Bug#133578: fixed in gdm 2.4.4.7-2
Date: Sat, 15 May 2004 19:32:06 -0400
Source: gdm
Source-Version: 2.4.4.7-2

We believe that the bug you reported is fixed in the latest version of
gdm, which is due to be installed in the Debian FTP archive:

gdm_2.4.4.7-2.diff.gz
  to pool/main/g/gdm/gdm_2.4.4.7-2.diff.gz
gdm_2.4.4.7-2.dsc
  to pool/main/g/gdm/gdm_2.4.4.7-2.dsc
gdm_2.4.4.7-2_i386.deb
  to pool/main/g/gdm/gdm_2.4.4.7-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 133578@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Murray <rmurray@debian.org> (supplier of updated gdm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 May 2004 16:13:30 -0700
Source: gdm
Binary: gdm
Architecture: source i386
Version: 2.4.4.7-2
Distribution: unstable
Urgency: low
Maintainer: Ryan Murray <rmurray@debian.org>
Changed-By: Ryan Murray <rmurray@debian.org>
Description: 
 gdm        - GNOME Display Manager
Closes: 133578 189615 200121 201303 240984 240993 243218 247065 247971 248328
Changes: 
 gdm (2.4.4.7-2) unstable; urgency=low
 .
   * Correct location of logdir (closes: #240984)
   * Add /etc/default/gdm, initialized from the locales package's debconf.
     (closes: #133578)
   * Add depends on xbase-clients until #242485 is fixed in X. (closes: #247065)
   * Change "genius" to "gdm" in default config comments (closes: #243218)
   * Soft restart gdm in postinst (closes: #240993)
   * Update locale.conf to latest glibc (closes: #247971)
   * Create .dmrc with restrictive permissions if it doesn't exist.
   * Now that gksu works for me, use it to start gdmsetup (closes: #189615)
   * Update debconf templates to xdm 4.3.0.dfsg.1-1.
   * Add Turkish debconf template (closes: #248328)
   * Add note about debconf templates to README.Debian (closes: #200121)
   * Add some whitespace to the gdmlogin logo (closes: #201303)
   * Build with SELinux support.
Files: 
 1381463e18b269eb2923b3cacea9ae36 679 gnome optional gdm_2.4.4.7-2.dsc
 caa7d5c889309d6f5513130974745829 199919 gnome optional gdm_2.4.4.7-2.diff.gz
 df6a4fb94166bdaa16769841df69a990 2059872 gnome optional gdm_2.4.4.7-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFApqbGN2Dbz/1mRasRAvatAJ9uPfbZdqrHo+oAtgiC+pn7CuJJXACgszKF
w0uABgBxaEmRSqgh9fbt3HE=
=M2zR
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:17:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.